Choosing the best version of Fedora app packages

Downgrading is something that looks scary. Come to think of it: come back to the past is something everyone afraid of, right? 😀 Nevertheless, sometimes downgrading is the option we want to choose when the current app is not working well, and there is no option to upgrade.

Recently I had VLC in Fedora that cannot stream from my Raspberry Pi DLNA server. The server is not listed on the UPNP playlist. While when I try VLC in Android, it could see the server. In the debug log message (CTRL+M), there were a couple of error messages, something like upnp services discovery: Initializing libupnp on '(null)'.

And actually, the workaround is simple: there is a feature of DNF to downgrade the working version of packages. In this case, the newest version of VLC that I installed from COPR repo cannot work with the latest libupnp version. Then I have to downgrade it to the previous version which fortunately still working.

sudo dnf downgrade libupnp


Share your idea here (markdown enabled)

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s